#!/usr/bin/tclsh

if{[string length $argv] == 0} {
	puts "usage: ./mklist directory system yearofsystem" 
} else {

	set files [open "|ls $argv[0]" r]
	set outfiles [open "./game.list" w]

	while {[gets $files game] != -1} {
		#puts $game
		set md5 [open "|/usr/bin/md5sum \"$argv[0]/$game\"" r]
		gets $md5 md5sum
		puts $md5sum 
		set md5sum [lindex $md5sum 0]
		catch {close $md5 }

		puts $outfiles "$md5sum| $game|$argv[1]|$argv[2]|$argv[1]|unknown|unknown|unknown|unknown.png|"


	} 
}
